using PEMSoft.Client.SYS.WnControl;

namespace WinFormDemo
{
    class GridViewBeginUpdate
    {
        private void demo()
        {
            WnGrid wnGrid = new WnGrid();

            // 问题：
            // CellValueChanging 事件中如果判断输入的值不合法，想改回原来的值并且 MessageBox 弹出提示
            // 会发现界面还是显示刚输入的新值。

            //解决方案：修改回原值后调用如下代码即可

            wnGrid.GridView.BeginUpdate();
            wnGrid.GridView.EndUpdate();
        }
    }
}
